function [lprop] = getLineProperty(alg)

markersize = 18;
linewidth = 2;

switch alg
    
    case "sgd"
        marker = "-o"; linestyle = "-";
    case "spl"
        marker = "-+"; linestyle = "-";
    case "segd"
        marker = "-*"; linestyle = "--";
    case "sepl"
        marker = "-x"; linestyle = "--";
    case "dsgd"
        marker = "-s"; linestyle = "-";
    case "dspl"
        marker = "-d"; linestyle = "-";
    case "dsegd"
        marker = "-^"; linestyle = "--";
    case "dsepl"
        marker = "-p"; linestyle = "--";
end % End switch

lprop = {marker, "MarkerSize", markersize,...
         "LineWidth", linewidth, "LineStyle", linestyle};
    
end % End function